Summary:        Argument type classification
Name:           perl-Params-Classify
Version:        0.015
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Params-Classify
Source0:        https://cpan.metacpan.org/authors/id/Z/ZE/ZEFRAM/Params-Classify-%{version}.tar.gz

BuildRequires:  coreutils findutils
BuildRequires:  perl-devel perl-generators perl-interpreter perl(Module::Build)
BuildRequires:  perl(ExtUtils::CBuilder) >= 0.15
BuildRequires:  perl(ExtUtils::ParseXS) >= 3.30
# Runtime
BuildRequires:  perl(Devel::CallChecker) >= 0.003
BuildRequires:  perl(Scalar::Util) >= 1.01
BuildRequires:  perl(Exporter) perl(parent) perl(strict) perl(warnings) perl(XSLoader)
# Tests
BuildRequires:  perl(Test::More)

Requires:       perl(:MODULE_COMPAT_%{perl_version})
Requires:       perl(Devel::CallChecker) >= 0.003
Requires:       perl(Scalar::Util) >= 1.01
Requires:       perl(Exporter) perl(XSLoader)
%{?perl_default_filter}

%description
This module provides various type-testing functions. These are intended
for functions that, unlike most Perl code, care what type of data they
are operating on. For example, some functions wish to behave
differently depending on the type of their arguments (like overloaded
functions in C++).


%prep
%autosetup -n Params-Classify-%{version}


%build
perl Build.PL --installdirs=vendor --optimize="%{optflags}"
./Build


%install
./Build install --destdir=%{buildroot} --create_packlist=0
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}


%check
./Build test


%files
%doc Changes README
%{perl_vendorarch}/auto/Params/
%{perl_vendorarch}/Params/
%{_mandir}/man3/Params::Classify.3*


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.015-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.015-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Aug 11 2022 rockerzhu <rockerzhu@tencent.com> - 0.015-1
- Initial build
